## org.eclipse.emf.ant.taskdefs.codegen.ecore
Class GeneratorTask.ReconcileGenModelType

    java.lang.Object
      org.apache.tools.ant.types.EnumeratedAttribute
          org.eclipse.emf.ant.taskdefs.codegen.ecore.GeneratorTask.ReconcileGenModelType

Enclosing class:
  GeneratorTask

    public static class GeneratorTask.ReconcileGenModelType

extends org.apache.tools.ant.types.EnumeratedAttribute

Field Summary

Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`value`

Constructor Summary
`GeneratorTask.ReconcileGenModelType()`

Method Summary
`java.lang.String[]` `getValues()`

Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`containsValue, getIndex, getInstance, getValue, indexOfValue, setValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GeneratorTask.ReconcileGenModelType

    public GeneratorTask.ReconcileGenModelType()

Method Detail

### getValues

    public java.lang.String[] getValues()

  Specified by:
    `getValues` in class `org.apache.tools.ant.types.EnumeratedAttribute`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.